🚲

warning: The iOS deployment target 'IPHONEOS_DEPLOYMENT_の対処方法

1 min read

最近flutterでアプリを作成しているのですが、iOSアプリのbuildしようとしたらwarningが出ましたのでメモしときます。

エラーメッセージ

 warning: The iOS deployment target 'IPHONEOS_DEPLOYMENT_TARGET' is set to 8.0, but the range of supported deployment target versions is 9.0 to 14.3.99. 

デプロイターゲットが8だけど、9〜14にせいよ

書いてある通りにします。

変更箇所

ios/Podfile

post_install do |installer|
  installer.pods_project.targets.each do |target|
    flutter_additional_ios_build_settings(target)
# iosのver指定のため追加======================================
        target.build_configurations.each do |config|
          config.build_settings['IPHONEOS_DEPLOYMENT_TARGET'] = '9.0'
        end
# 追加ここまで======================================
  end
end

これでwarning出ないとおもいます。

他にも変更できる方法あるみたいですが、とりあえず手っ取り早くできます。

Discussion

ログインするとコメントできます